/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.dw.db.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.Size;

import net.northking.cctp.common.db.POJO;
import net.northking.cctp.common.db.Partition;

import java.util.Date;


/**
 * 缺陷严重程度统计图
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2021-12-15 14:58:26  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@ApiModel(description = "缺陷严重程度统计图")
public class BugGradeStatistics extends Partition implements POJO
{
  public static final String KEY_id = "id";
  public static final String KEY_receiverName = "receiverName";
  public static final String KEY_loginNo = "loginNo";
  public static final String KEY_moduleId = "moduleId";
  public static final String KEY_type = "type";
  public static final String KEY_a = "a";
  public static final String KEY_b = "b";
  public static final String KEY_c = "c";
  public static final String KEY_d = "d";
  public static final String KEY_e = "e";
  public static final String KEY_projectId = "projectId";
  public static final String KEY_createdTime = "createdTime";
  public static final String KEY_tenantId = "tenantId";

  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 50, message="-id: 数据长度不能 > 50" )
  private String id;
  /**
   * 分配人<br>
   */
  @ApiModelProperty("分配人")
  @Size(max = 50, message="分配人-receiverName: 数据长度不能 > 50" )
  private String receiverName;
  /**
   * 登陆帐号<br>
   */
  @ApiModelProperty("登陆帐号")
  @Size(max = 50, message="登陆帐号-loginNo: 数据长度不能 > 50" )
  private String loginNo;
  /**
   * 模块<br>
   */
  @ApiModelProperty("模块")
  @Size(max = 50, message="模块-moduleId: 数据长度不能 > 50" )
  private String moduleId;
  /**
   * 类型<br>
   */
  @ApiModelProperty("类型")
  @Size(max = 1, message="类型-type: 数据长度不能 > 1" )
  private String type;
  /**
   * 致命性错误-A类<br>
   */
  @ApiModelProperty("致命性错误-A类")
  private Integer a;
  /**
   * 严重性错误-B类<br>
   */
  @ApiModelProperty("严重性错误-B类")
  private Integer b;
  /**
   * 一般性错误-C类<br>
   */
  @ApiModelProperty("一般性错误-C类")
  private Integer c;
  /**
   * 警告性错误-D类<br>
   */
  @ApiModelProperty("警告性错误-D类")
  private Integer d;
  /**
   * 建议性错误-E类<br>
   */
  @ApiModelProperty("建议性错误-E类")
  private Integer e;
  /**
   * 系统id<br>
   */
  @ApiModelProperty("系统id")
  @Size(max = 50, message="系统id-projectId: 数据长度不能 > 50" )
  private String projectId;
  /**
   * 创建时间<br>
   */
  @ApiModelProperty("创建时间")
  private Date createdTime;
  /**
   * 租户id<br>
   */
  @ApiModelProperty("租户id")
  @Size(max = 50, message="租户id-tenantId: 数据长度不能 > 50" )
  private String tenantId;

  /**
   * <br>
   */
  public String getId()
  {
      return id;
    }

  /**
   * <br>
   *
   * @param id 
   */
  public void setId(String id)
  {
      this.id = id;
    }
  /**
   * 分配人<br>
   */
  public String getReceiverName()
  {
      return receiverName;
    }

  /**
   * 分配人<br>
   *
   * @param receiverName 分配人
   */
  public void setReceiverName(String receiverName)
  {
      this.receiverName = receiverName;
    }
  /**
   * 登陆帐号<br>
   */
  public String getLoginNo()
  {
      return loginNo;
    }

  /**
   * 登陆帐号<br>
   *
   * @param loginNo 登陆帐号
   */
  public void setLoginNo(String loginNo)
  {
      this.loginNo = loginNo;
    }
  /**
   * 模块<br>
   */
  public String getModuleId()
  {
      return moduleId;
    }

  /**
   * 模块<br>
   *
   * @param moduleId 模块
   */
  public void setModuleId(String moduleId)
  {
      this.moduleId = moduleId;
    }
  /**
   * 类型<br>
   */
  public String getType()
  {
      return type;
    }

  /**
   * 类型<br>
   *
   * @param type 类型
   */
  public void setType(String type)
  {
      this.type = type;
    }
  /**
   * 致命性错误-A类<br>
   */
  public Integer getA()
  {
      return a;
    }

  /**
   * 致命性错误-A类<br>
   *
   * @param a 致命性错误-A类
   */
  public void setA(Integer a)
  {
      this.a = a;
    }
  /**
   * 严重性错误-B类<br>
   */
  public Integer getB()
  {
      return b;
    }

  /**
   * 严重性错误-B类<br>
   *
   * @param b 严重性错误-B类
   */
  public void setB(Integer b)
  {
      this.b = b;
    }
  /**
   * 一般性错误-C类<br>
   */
  public Integer getC()
  {
      return c;
    }

  /**
   * 一般性错误-C类<br>
   *
   * @param c 一般性错误-C类
   */
  public void setC(Integer c)
  {
      this.c = c;
    }
  /**
   * 警告性错误-D类<br>
   */
  public Integer getD()
  {
      return d;
    }

  /**
   * 警告性错误-D类<br>
   *
   * @param d 警告性错误-D类
   */
  public void setD(Integer d)
  {
      this.d = d;
    }
  /**
   * 建议性错误-E类<br>
   */
  public Integer getE()
  {
      return e;
    }

  /**
   * 建议性错误-E类<br>
   *
   * @param e 建议性错误-E类
   */
  public void setE(Integer e)
  {
      this.e = e;
    }
  /**
   * 系统id<br>
   */
  public String getProjectId()
  {
      return projectId;
    }

  /**
   * 系统id<br>
   *
   * @param projectId 系统id
   */
  public void setProjectId(String projectId)
  {
      this.projectId = projectId;
    }
  /**
   * 创建时间<br>
   */
  public Date getCreatedTime()
  {
      if(createdTime != null)
    {
      return (Date)createdTime.clone();
    }
    return null;
    }

  /**
   * 创建时间<br>
   *
   * @param createdTime 创建时间
   */
  public void setCreatedTime(Date createdTime)
  {
      if(createdTime != null)
    {
      this.createdTime = (Date)createdTime.clone();
    }
    }
  /**
   * 租户id<br>
   */
  public String getTenantId()
  {
      return tenantId;
    }

  /**
   * 租户id<br>
   *
   * @param tenantId 租户id
   */
  public void setTenantId(String tenantId)
  {
      this.tenantId = tenantId;
    }

  public BugGradeStatistics()
  {
  }

}
